## webcolors 1.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/webcolors.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/webcolors.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## webcolors 1.3.1+hg~2c8ac6e0a03d

=== debian/changelog ===
webcolors (1.3.1+hg~2c8ac6e0a03d-2) unstable; urgency=low

  * fix missing dependency on python (Closes: #652287)
  * add option --with python2  

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 29 Dec 2011 22:47:55 +0900

webcolors (1.3.1+hg~2c8ac6e0a03d-1) unstable; urgency=low

  * Initial release (Closes: #632740)

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 08 Nov 2011 01:29:52 +0900

=== debian/control ===
Source: webcolors
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all
Standards-Version: 3.9.2
X-Python-Version: all
Homepage: http://www.bitbucket.org/ubernostrum/webcolors/overview/

Package: python-webcolors
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: library of color names and value formats defined by HTML and CSS
 Support is included for the following formats, but this support RGB colorspace
 only.
  * Specification-defined color names
  * Six-digit hexadecimal
  * Three-digit hexadecimal
  * Integer rgb() triplet
  * Percentage rgb() triplet
 This module conversion to/from HSL can be handled by the "colorsys" module in
 the Python standard library.

=== debian/watch ===
version=3
https://bitbucket.org/ubernostrum/webcolors/ (.*)\.tar\.gz

## webcolors 1.4

=== debian/changelog ===
webcolors (1.4-1) unstable; urgency=low

  * New upstream release (Closes: #706299)
  * Support python3

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 08 Jun 2013 00:59:32 +0900

=== debian/control ===
Source: webcolors
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all, python-setuptools, python3-all, python3-setuptools
Standards-Version: 3.9.4
X-Python-Version: 2.7, >= 3.2
Homepage: http://www.bitbucket.org/ubernostrum/webcolors/overview/

Package: python-webcolors
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}
Description: library of color names and value formats defined by HTML and CSS
 Support is included for the following formats, but this support RGB colorspace
 only.
  * Specification-defined color names
  * Six-digit hexadecimal
  * Three-digit hexadecimal
  * Integer rgb() triplet
  * Percentage rgb() triplet
 This module conversion to/from HSL can be handled by the "colorsys" module in
 the Python standard library.

Package: python3-webcolors
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: python3 library of color names and value formats
 For python3, support is included for the following formats, but this support
 RGB colorspace only.
  * Specification-defined color names
  * Six-digit hexadecimal
  * Three-digit hexadecimal
  * Integer rgb() triplet
  * Percentage rgb() triplet
 This module conversion to/from HSL can be handled by the "colorsys" module in
 the Python standard library.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/w/webcolors/webcolors-(.*)\.tar\.gz

## webcolors 1.5

=== debian/changelog ===
webcolors (1.5-2) unstable; urgency=medium

  * debian/control
    - Bumped Standards-Version to 3.9.8.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 06 Oct 2016 05:25:08 +0900

webcolors (1.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bumped version Standards-Version to 3.9.6.
  * debian/watch
    - Fixes debian-watch-file-unsupported-pypi-url.
  * debian/docs
    - Changes README to README.rst.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 01 Jul 2015 14:46:15 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
 Build-Depends: debhelper (>= 8.0.0), python-all, python-setuptools, python3-all, python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 X-Python-Version: 2.7, >= 3.2
 Homepage: http://www.bitbucket.org/ubernostrum/webcolors/overview/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	for py in $(shell pyversions -vr) $(shell py3versions -vr); do \
		python$$py setup.py build --build-base=build$$py; \
	done

override_dh_auto_install:
	python setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python-webcolors && \
	python3 setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python3-webcolors

override_dh_auto_clean:
	dh_clean
	for py in $(shell pyversions -vr) $(shell py3versions -vr); do \
		python$$py setup.py clean --build-temp=build && \
		python$$py setup.py clean --build-temp=build$$py; \
	done
	find $(CUDIR) -name "*.pyc" -delete

## webcolors 1.11.1

=== debian/changelog ===
webcolors (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bumps Standards-Version to 4.5.1.
    - Build-Depends: Appends debhelper-compat (= 13)
  * Removes debian/compat.
  * debian/watch
    - Fixes debian-watch-uses-insecure-uri.
    - Bumps version to 4.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 31 Jan 2021 10:54:25 +0900

webcolors (1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938811

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 17:50:30 -0500

=== debian/control ===
Source: webcolors
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper-compat (= 13), debhelper (>= 8.0.0), python3-all, python3-setuptools, dh-python
Standards-Version: 4.5.1
Homepage: http://www.bitbucket.org/ubernostrum/webcolors/overview/

Package: python3-webcolors
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: python3 library of color names and value formats
 For python3, support is included for the following formats, but this support
 RGB colorspace only.
  * Specification-defined color names
  * Six-digit hexadecimal
  * Three-digit hexadecimal
  * Integer rgb() triplet
  * Percentage rgb() triplet
 This module conversion to/from HSL can be handled by the "colorsys" module in
 the Python standard library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

## webcolors 1.13

=== debian/changelog ===
webcolors (1.13-2) unstable; urgency=medium

  * Add myself as uploader
  * Update homepage URL
  * Drop "Rules-Requires-Root: no": this is the default now
  * Bump Standards-Version: to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Rename file under debian/ for debhelper 15 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Fri, 27 Feb 2026 12:31:22 +0100

webcolors (1.13-1) unstable; urgency=medium

  * Non-maintainer upload.

  [routine-update]
  * New upstream version
  * Standards-Version: 4.7.0
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Rules-Requires-Root: no
  * Trim trailing whitespace.
  * Use versioned copyright format URI.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Jun 2024 20:59:59 +0200

=== debian/control ===
Source: webcolors
Section: python
Testsuite: autopkgtest-pkg-python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kouhei Maeda <mkouhei@palmtb.net>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: https://github.com/ubernostrum/webcolors/
Vcs-Git: https://salsa.debian.org/python-team/packages/webcolors.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/webcolors

Package: python3-webcolors
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: python3 library of color names and value formats
 For python3, support is included for the following formats, but this support
 RGB colorspace only.
  * Specification-defined color names
  * Six-digit hexadecimal
  * Three-digit hexadecimal
  * Integer rgb() triplet
  * Percentage rgb() triplet
 This module conversion to/from HSL can be handled by the "colorsys" module in
 the Python standard library.

=== debian/watch ===
Version: 5

Template: Pypi
Dist: webcolors

## webcolors 25.10.0

=== debian/changelog ===
webcolors (25.10.0-1) unstable; urgency=medium

  * New upstream version 25.10.0
  * Replace python3-setuptools with python3-pdm-backend for building
  * Add build-dependency on python3-pytest
  * Add debian/upstream/metadata

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Mar 2026 10:23:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-pdm-backend,
+ python3-pytest <!nocheck>,
 Standards-Version: 4.7.3
 Homepage: https://github.com/ubernostrum/webcolors/
 Vcs-Git: https://salsa.debian.org/python-team/packages/webcolors.git
